Directory Tenants - Get
이름으로 디렉터리 테넌트를 가져옵니다.
GET https://management.azure.com/subscriptions/{subscriptionId}/resourcegroups/{resourceGroupName}/providers/Microsoft.Subscriptions.Admin/directoryTenants/{tenant}?api-version=2015-11-01
URI 매개 변수
| Name | In(다음 안에) | 필수 | 형식 | Description |
|---|---|---|---|---|
|
resource
|
path | True |
string |
리소스가 있는 리소스 그룹입니다. |
|
subscription
|
path | True |
string |
Microsoft Azure 구독을 고유하게 식별하는 구독 자격 증명입니다. 구독 ID는 모든 서비스 호출에 대한 URI의 일부를 형성합니다. |
|
tenant
|
path | True |
string |
디렉터리 테넌트 이름입니다. |
|
api-version
|
query | True |
string |
클라이언트 API 버전입니다. |
응답
| Name | 형식 | Description |
|---|---|---|
| 200 OK |
그래 |
|
| Other Status Codes |
예기치 않은 오류 |
보안
azure_auth
Azure Active Directory OAuth2 흐름
형식:
oauth2
Flow:
implicit
권한 부여 URL:
https://login.microsoftonline.com/common/oauth2/authorize
범위
| Name | Description |
|---|---|
| user_impersonation | 사용자 계정 가장 |
예제
Get a directory tenant by name.
샘플 요청
GET https://management.azure.com/subscriptions/20ff7fc3-e762-44dd-bd96-b71116dcdc23/resourcegroups/system.local/providers/Microsoft.Subscriptions.Admin/directoryTenants/azurestackci07.onmicrosoft.com?api-version=2015-11-01
샘플 응답
{
"id": "/subscriptions/8ab2551d-41e5-489b-9273-1cdf1cbc7dc6/resourceGroups/System.local/providers/Microsoft.Subscriptions.Admin/directoryTenants/azurestackci07.onmicrosoft.com",
"name": "azurestackci07.onmicrosoft.com",
"type": "Microsoft.Subscriptions.Admin/directoryTenants",
"location": "local",
"properties": {
"tenantId": "2b3697e6-a7a2-4cdd-a3d4-f4ef6505cd4f"
}
}
정의
| Name | Description |
|---|---|
|
Directory |
디렉터리 테넌트입니다. |
| Error |
오류 응답입니다. |
|
Error |
오류 정의입니다. |
DirectoryTenant
디렉터리 테넌트입니다.
| Name | 형식 | Description |
|---|---|---|
| id |
string |
리소스의 URI입니다. |
| location |
string |
리소스의 위치 |
| name |
string |
리소스의 이름입니다. |
| properties.tenantId |
string |
테넌트 고유 식별자입니다. |
| tags |
object |
키-값 쌍의 목록입니다. |
| type |
string |
리소스의 유형입니다. |
Error
오류 응답입니다.
| Name | 형식 | Description |
|---|---|---|
| error |
오류 세부 정보입니다. |
ErrorDefinition
오류 정의입니다.
| Name | 형식 | Description |
|---|---|---|
| code |
string |
HTTP 오류 코드의 하위 상태 역할을 하는 서비스별 오류 코드입니다. |
| details |
내부 오류 세부 정보입니다. |
|
| message |
string |
오류에 대한 설명입니다. |